﻿using System;
using System.Windows.Forms;
using System.ServiceModel;

namespace CallbackContractWCFClient
{
    public partial class ClientForm : Form, SampleDuplexHelloCallback
    {
        public ClientForm()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InstanceContext site = new InstanceContext(this);
            SampleDuplexHelloClient client = new SampleDuplexHelloClient(site);

            string msg =" This is a Client Message sent to Server side...";
            label1.Text = "Client Sent: " + msg;
            client.Hello(msg);
           
        }

        public void Reply(string responseToGreeting)
        {
            label2.Text = "Server Reply: " + responseToGreeting;
        }

    }
}
