﻿using System;
using System.ServiceModel;
using System.ServiceModel.Description;

namespace CallbackContractWCF
{
    class Program
    {
        static void Main(string[] args)
        {

            using (ServiceHost host = new ServiceHost(typeof(DuplexHello)))
            {
                ServiceMetadataBehavior smb = host.Description.Behaviors.Find<ServiceMetadataBehavior>();
                if (smb == null)
                {
                    host.Description.Behaviors.Add(new ServiceMetadataBehavior());
                }

                host.AddServiceEndpoint(typeof(IMetadataExchange), MetadataExchangeBindings.CreateMexTcpBinding(), "mex");
                host.Open();

                Console.WriteLine("service listen on endpoint ...");
                Console.WriteLine("Press ENTER to stop ...");
                Console.ReadLine();
                host.Abort();
                host.Close();
            }
        }
    }
}
